Bug 109366

Summary: [PATCH] devel/py-lxml: update to 1.2
Product: Ports & Packages Reporter: Li-Wen Hsu <lwhsu>
Component: Individual Port(s)Assignee: Cheng-Lung Sung <clsung>
Status: Closed FIXED    
Severity: Affects Only Me CC: gogo
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
py24-lxml-1.2.patch none

Description Li-Wen Hsu 2007-02-20 16:30:18 UTC
- Update to 1.2
- Add cheeseshop into MASTER_SITES
- Pack as an egg, 1.2 needs setuptools
- Reduce LIB_DEPENDS, libxslt depends on libxml2 already

Port maintainer (gogo@cs.uni-sb.de) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2007-02-20 16:30:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants to have py- PRs
Comment 2 Edwin Groothuis freebsd_committer 2007-02-20 16:30:45 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Cheng-Lung Sung freebsd_committer 2007-02-20 16:33:18 UTC
Responsible Changed
From-To: freebsd-python->clsung

I'll take it.
Comment 4 lwhsu 2007-02-20 18:35:06 UTC
Please use this patch.
Explicit RUN_DEPENDS is better, thanks for tmclaugh@

--- py24-lxml-1.2.patch begins here ---
diff -ruN -ruN /usr/ports/devel/py-lxml/Makefile /home/lwhsu/ports/devel/py-lxml/Makefile
--- /usr/ports/devel/py-lxml/Makefile	Mon Feb 19 21:56:00 2007
+++ /home/lwhsu/ports/devel/py-lxml/Makefile	Wed Feb 21 02:20:55 2007
@@ -6,17 +6,19 @@
 #
 
 PORTNAME=	lxml
-PORTVERSION=	1.1.2
+PORTVERSION=	1.2
 CATEGORIES=	devel python
-MASTER_SITES=	http://codespeak.net/lxml/
+MASTER_SITES=	http://codespeak.net/lxml/ \
+		http://cheeseshop.python.org/packages/source/l/lxml/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	gogo@cs.uni-sb.de
 COMMENT=	Pythonic binding for the libxml2 and libxslt libraries
 
-LIB_DEPENDS=	xml2.5:${PORTSDIR}/textproc/libxml2 \
-		 xslt.2:${PORTSDIR}/textproc/libxslt
+BUILD_DEPENDS=	${EASY_INSTALL_CMD}:${PORTSDIR}/devel/py-setuptools
+LIB_DEPENDS=	xslt.2:${PORTSDIR}/textproc/libxslt
+RUN_DEPENDS=	${EASY_INSTALL_CMD}:${PORTSDIR}/devel/py-setuptools
 
 USE_PYTHON=	2.4+
 USE_PYDISTUTILS=	yes
@@ -29,6 +31,14 @@
 		TODO.txt \
 		README.txt
 
+EASY_INSTALL_CMD?=	easy_install-${PYTHON_VER}
+
+PYLXML_EGG=	${PORTNAME}-${PORTVERSION}-py${PYTHON_VER}-freebsd-${OSRELEASE}-${ARCH}.egg
+
+PLIST_SUB+=	EASY_INSTALL_CMD=${EASY_INSTALL_CMD} \
+		PYLXML_EGG=${PYLXML_EGG} \
+		PYLXML_EGG_VER="${PORTNAME}==${PORTVERSION}"
+
 post-install:
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
@@ -39,4 +49,8 @@
 	${CP} -R ${WRKSRC}/doc/* ${DOCSDIR}/doc
 .endif
 
-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+OSRELEASE!=	${DESTDIR}/usr/bin/uname -r
+
+.include <bsd.port.post.mk>
diff -ruN -ruN /usr/ports/devel/py-lxml/distinfo /home/lwhsu/ports/devel/py-lxml/distinfo
--- /usr/ports/devel/py-lxml/distinfo	Mon Feb 19 21:56:00 2007
+++ /home/lwhsu/ports/devel/py-lxml/distinfo	Tue Feb 20 23:11:50 2007
@@ -1,3 +1,3 @@
-MD5 (lxml-1.1.2.tgz) = d18ecaacdecf7c9f02a6e9aecb16c720
-SHA256 (lxml-1.1.2.tgz) = b0139b3e1443ab5ce7dd2b63e67ac987f1e4caddf5f9bc72c90c63199265c278
-SIZE (lxml-1.1.2.tgz) = 640469
+MD5 (lxml-1.2.tgz) = d971fc4cb31dc7a18ee397b2f815e0b9
+SHA256 (lxml-1.2.tgz) = 1c381effa3294d4d4d9e8d9e118f57ba733c7046c1cb9a44ab2606ec6a44237d
+SIZE (lxml-1.2.tgz) = 674337
diff -ruN -ruN /usr/ports/devel/py-lxml/pkg-plist /home/lwhsu/ports/devel/py-lxml/pkg-plist
--- /usr/ports/devel/py-lxml/pkg-plist	Mon Feb 19 21:56:00 2007
+++ /home/lwhsu/ports/devel/py-lxml/pkg-plist	Wed Feb 21 00:18:45 2007
@@ -1,19 +1,42 @@
-%%PYTHON_SITELIBDIR%%/lxml/__init__.py
-%%PYTHON_SITELIBDIR%%/lxml/__init__.pyc
-%%PYTHON_SITELIBDIR%%/lxml/__init__.pyo
-%%PYTHON_SITELIBDIR%%/lxml/_elementpath.py
-%%PYTHON_SITELIBDIR%%/lxml/_elementpath.pyc
-%%PYTHON_SITELIBDIR%%/lxml/_elementpath.pyo
-%%PYTHON_SITELIBDIR%%/lxml/etree.so
-%%PYTHON_SITELIBDIR%%/lxml/objectify.so
-%%PYTHON_SITELIBDIR%%/lxml/sax.py
-%%PYTHON_SITELIBDIR%%/lxml/sax.pyc
-%%PYTHON_SITELIBDIR%%/lxml/sax.pyo
+@unexec %%EASY_INSTALL_CMD%% -q -m -S %D/%%PYTHON_SITELIBDIR%% %%PYLXML_EGG_VER%%
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/EGG-INFO/native_libs.txt
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/ElementInclude.py
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/ElementInclude.pyc
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/ElementInclude.pyo
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/_elementpath.py
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/_elementpath.pyc
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/_elementpath.pyo
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/elementlib.py
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/elementlib.pyc
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/elementlib.pyo
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/etree.py
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/etree.pyc
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/etree.pyo
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/etree.so
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/objectify.py
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/objectify.pyc
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/objectify.pyo
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/objectify.so
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/sax.py
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/sax.pyc
+%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/sax.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%
+@exec %%EASY_INSTALL_CMD%% -q -N -S %D/%%PYTHON_SITELIBDIR%% %%PYLXML_EGG_VER%%
 %%PORTDOCS%%%%DOCSDIR%%/CHANGES.txt
 %%PORTDOCS%%%%DOCSDIR%%/CREDITS.txt
 %%PORTDOCS%%%%DOCSDIR%%/LICENSES.txt
-%%PORTDOCS%%%%DOCSDIR%%/TODO.txt
 %%PORTDOCS%%%%DOCSDIR%%/README.txt
+%%PORTDOCS%%%%DOCSDIR%%/TODO.txt
 %%PORTDOCS%%%%DOCSDIR%%/doc/FAQ.txt
 %%PORTDOCS%%%%DOCSDIR%%/doc/api.txt
 %%PORTDOCS%%%%DOCSDIR%%/doc/build.txt
@@ -25,7 +48,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/api.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/build.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/capi.html
-%%PORTDOCS%%%%DOCSDIR%%/doc/html/changes-1.1.2.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/changes-1.2.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/compatibility.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/element_classes.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/extensions.html
@@ -59,4 +82,3 @@
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/doc/html
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/doc
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
-@dirrm %%PYTHON_SITELIBDIR%%/lxml
--- py24-lxml-1.2.patch ends here ---


-- 
Best Regards,
Li-Wen Hsu
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2007-02-21 06:22:41 UTC
State Changed
From-To: feedback->open

From posting on freebsd-python: 

Comment 6 dfilter service freebsd_committer 2007-02-22 09:56:46 UTC
clsung      2007-02-22 09:56:43 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-lxml        Makefile distinfo pkg-plist 
  Log:
  - Update to 1.2
  - Add cheeseshop into MASTER_SITES
  - Pack as an egg, 1.2 needs setuptools
  - Reduce LIB_DEPENDS, libxslt depends on libxml2 already
  
  PR:             ports/109366
  Submitted by:   Li-Wen Hsu <lwhsu_AT_lwhsu dot org>
  Approved by:    maintainer (Robert Gogolok)
  
  Revision  Changes    Path
  1.2       +19 -5     ports/devel/py-lxml/Makefile
  1.2       +3 -3      ports/devel/py-lxml/distinfo
  1.2       +36 -14    ports/devel/py-lxml/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Cheng-Lung Sung freebsd_committer 2007-02-22 09:57:01 UTC
State Changed
From-To: open->closed

Committed. Thank You.